NAME Fuzzy Lummox Baby
NAM2 a baby fuzzy lummox
ICON items/s_twl.jpg 60
GFXP items/l_life1.jpg 9
FLAG life
DIST cold warm hot
KEYS lummoxish
TEXT Aww... it's a cute little multi-legged pachyderm with shaggy gray fur.  It takes them over 50 years to grow to maturity.
COST 120 lifeforms
TYPE other

